summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexey Shvetsov <alexxy@gentoo.org>2009-02-02 00:32:10 +0300
committerAlexey Shvetsov <alexxy@gentoo.org>2009-02-02 00:32:10 +0300
commitb372d1b6f9bbc94a499df6b3d82cff7eee06d828 (patch)
tree6543cc1cc127ed6f3a67b92ee9841e9799f38f44 /app-text
parentinitila commit (diff)
downloadalexxy-b372d1b6f9bbc94a499df6b3d82cff7eee06d828.tar.gz
alexxy-b372d1b6f9bbc94a499df6b3d82cff7eee06d828.tar.bz2
alexxy-b372d1b6f9bbc94a499df6b3d82cff7eee06d828.zip
add some junk
Diffstat (limited to 'app-text')
-rw-r--r--app-text/fbreader/Manifest2
-rw-r--r--app-text/fbreader/fbreader-0.10.2.ebuild88
2 files changed, 90 insertions, 0 deletions
diff --git a/app-text/fbreader/Manifest b/app-text/fbreader/Manifest
new file mode 100644
index 0000000..e7610b5
--- /dev/null
+++ b/app-text/fbreader/Manifest
@@ -0,0 +1,2 @@
+DIST fbreader-sources-0.10.2.tgz 1599460 RMD160 7fbfcd31d0b17466acee73e736873e49aa86f0eb SHA1 6755d5b28cd9abeeb1aeb6f5776e40a15acc1c6e SHA256 e62ccbdeb02c4c95228c9837783be65b6289825253d547d3eb0d7b562612f27e
+EBUILD fbreader-0.10.2.ebuild 2497 RMD160 9029c1ba66dab8cbe5a04c8c982cd5e9c83ef104 SHA1 7f06bb7e4e0e240d5052c1dbd9f52c13a6055747 SHA256 1b4f55b6313a68ff40aa4f35e0eedc8df65232d969bbfa39e409fbd4b8cfdd3c
diff --git a/app-text/fbreader/fbreader-0.10.2.ebuild b/app-text/fbreader/fbreader-0.10.2.ebuild
new file mode 100644
index 0000000..d0ce32e
--- /dev/null
+++ b/app-text/fbreader/fbreader-0.10.2.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+DESCRIPTION="E-Book Reader. Supports many e-book formats."
+HOMEPAGE="http://www.fbreader.org/"
+SRC_URI="http://www.fbreader.org/${PN}-sources-${PV}.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="qt3 qt4 gtk debug"
+DEPEND="dev-libs/expat
+ >=dev-libs/liblinebreak-1.0
+ net-misc/curl
+ dev-libs/fribidi
+ app-arch/bzip2
+ qt4? ( || ( x11-libs/qt-gui:4 =x11-libs/qt-4.3* ) )
+ qt3? ( =x11-libs/qt-3* )
+ gtk? ( >=x11-libs/gtk+-2.4 )
+ "
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+ local toolkitsnum toolkitstypes="qt3 qt4 gtk" toolkitstype
+ declare -i toolkitsnum=0
+ for toolkitstype in ${toolkitstypes}; do
+ useq ${toolkitstype} && let toolkitsnum++
+ done
+ if [ ${toolkitsnum} -gt 1 ]; then
+ eerror
+ eerror "You can't use more than one of toolkits."
+ eerror "Select exactly one toolkits type out of these: ${toolkitstypes}"
+ eerror
+ die "Multiple toolkits types selected."
+ elif [ ${toolkitsnum} -lt 1 ]; then
+ eerror
+ eerror "Select exactly one toolkits type out of these: ${toolkitstypes}"
+ eerror
+ die "No toolkits type selected."
+ fi
+}
+
+src_prepare() {
+ #Tidy up the .desktop file
+ sed -i "s:^Name=E-book reader:Name=FBReader:" fbreader/desktop/desktop || die "sed failed"
+ sed -i "s:^Name\[ru\]=.*$:Name\[ru\]=FBReader:" fbreader/desktop/desktop || die "sed failed"
+
+ echo "TARGET_ARCH = desktop" > makefiles/target.mk
+
+ if use qt4 ; then
+ # qt4
+ echo "UI_TYPE = qt4" >> makefiles/target.mk
+
+ sed -i "s:MOC = moc-qt4:MOC = /usr/bin/moc:" makefiles/arch/desktop.mk || die "updating desktop.mk failed"
+ sed -i "s:UILIBS = -lQtGui:UILIBS = -L/usr/lib/qt4 -lQtGui:" makefiles/arch/desktop.mk
+ fi
+
+ if use qt3 ; then
+ # qt3
+ echo "UI_TYPE = qt" >> makefiles/target.mk
+
+ sed -i "s:MOC = moc-qt3:MOC = ${QTDIR}/bin/moc:" makefiles/arch/desktop.mk || die "updating desktop.mk failed"
+ sed -i "s:QTINCLUDE = -I /usr/include/qt3:QTINCLUDE = -I ${QTDIR}/include:" makefiles/arch/desktop.mk || die "updating desktop.mk failed"
+ sed -i "s:UILIBS = -lqt-mt:UILIBS = -L${QTDIR}/lib -lqt-mt:" makefiles/arch/desktop.mk
+
+ fi
+
+ if use gtk ; then
+ # gtk
+ echo "UI_TYPE = gtk" >> makefiles/target.mk
+ fi
+
+ if use debug ; then
+ echo "TARGET_STATUS = debug" >> makefiles/target.mk
+ else
+ echo "TARGET_STATUS = release" >> makefiles/target.mk
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "install failed"
+
+ dosym /usr/bin/FBReader /usr/bin/fbreader
+}